[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.IsNull

Is the field empty

## Declaration

Source position: db.pas line 406

`public property TField.IsNull: Boolean read GetIsNull;`

## Description

IsNull is True if the field does not have a value. If the underlying data contained a value, or a value is written to it, IsNull will return False. After TDataset.Insert is called or Clear is called then IsNull will return True.

## See also

TField.Clear |  | Clear the field contents.
TDataset.Insert |  | Insert a new record at the current position.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .